Subject: Re: Bounce back calls today
From: Saurabh Dadu <[email-masked]>
To: Linda Townsend <[email-masked]>
Cc: Rona Galangi <[email-masked]>, release <[email-masked]>, Rebecca Dybala <[email-masked]>
Date: Mon, 14 Feb 2022 12:47:53 +0000

Hi Linda,

Can we get on a quick phone call if you are available? Please let me know what number can I dial in.

Regards,

Saurabh Dadu
LiveSalesman

On 14-Feb-2022, at 5:54 PM, Linda Townsend <[email-masked]> wrote:

 Good morning,

I wanted to reach out directly about the recent issues with call center schedules and availability, including what occurred on Saturday. We appreciate all the call center is doing to handle incoming calls. I find very few mistakes in bookings and am receiving fewer complaints about the quality of the calls, which is all good news. However, there have been many times lately that for one reason or another (not following the schedule I provided for number of people needed at specific times, illnesses, trainings, logging out for confirmation calls, etc) that the calls are bouncing back to the Release concierge team. I cannot emphasize enough that we are not staffed to handle this and it impacts our ability to serve our guests adequately. I have also repeatedly asked that if something comes up that impacts the call center schedule, to let us know so we can prepare and attempt to manage the calls. We have not been informed about any of these disruptions, so we have been taken by surprise.

Going forward, please make sure to follow the schedule below. Training new hires should be handled by someone not on the schedule or outside of this schedule. Confirmation calls should be made during quieter times when there are multiple people working, that way the person managing the calls can ask for help as needed, and confirmation calls can be resumed when the calls quiet down again. If there is an issue that impacts the schedule, inform us so we can prepare.

The call center is making a huge positive difference to our business, and I really appreciate your hard work and efforts, but the last couple of weeks there have been too many instances of service interruption. I look forward to continuing to work together and prevent future issues.

With gratitude,

Linda

Sunday 1 person 9am - 5pm
Monday 2 people 8am - 4pm 1 person 11am - 7pm
Tuesday 1 person 9am - 5pm
Wednesday 2 people 8am - 4pm, 1 person 11am - 7pm
Thursday  1 person 9am - 5pm, 1 person 1pm to 9pm
Friday  2 people 8am - 4pm, 1 person 11am - 7pm
Saturday 2 people 9am - 5pm

On Feb 12, 2022, at 2:51 PM, Release Concierge <[email-masked]<mailto:[email-masked]>> wrote:

Thanks again for your help with the confirmation calls.

We've gotten 4 calls bounced back from the call center today within a couple of hours.
Do you know why?

Kris

On Thu, Feb 10, 2022 at 2:06 PM Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Kris,

Thanks for your email. I spoke with Rona. It appears for Tuesdays we only have one rep scheduled to work. Which means if we disconnect them from incoming lines, and put them on outbound lines, they would miss any incoming calls.

Having said that, we have now explained to the team this must be done everyday including on tuesdays.

Apologies for the trouble.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Release Concierge <[email-masked]<mailto:[email-masked]>>
Sent: 10 February 2022 10:29 PM
To: Rona Galangi <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; release <[email-masked]<mailto:[email-masked]>>
Cc: Linda Townsend <[email-masked]<mailto:[email-masked]>>; Rebecca Dybala <[email-masked]<mailto:[email-masked]>>
Subject: Confirmation Calls are critical

Hi team,
It appears that most confirmation calls were not done for yesterday or today.
We want to let you know that it is critical that these are done because we've had 2 no-shows over the 2 days.

Thank you.

Kris